TagLib::ID3v2::PodcastFrame Class Reference

ID3v2 podcast frame. More...

`#include <podcastframe.h>`

Inheritance diagram for TagLib::ID3v2::PodcastFrame:
[legend]
Collaboration diagram for TagLib::ID3v2::PodcastFrame:
[legend]

## Public Member Functions

| PodcastFrame ()
| ~PodcastFrame () override
| PodcastFrame (const PodcastFrame &)=delete
PodcastFrame & | operator= (const PodcastFrame &)=delete
String | toString () const override
PropertyMap | asProperties () const override
Public Member Functions inherited from TagLib::ID3v2::Frame
virtual | ~Frame ()
| Frame (const Frame &)=delete
Frame & | operator= (const Frame &)=delete
ByteVector | frameID () const
unsigned int | size () const
unsigned int | headerSize () const
void | setData (const ByteVector &data)
virtual void | setText (const String &text)
virtual StringList | toStringList () const
ByteVector | render () const
Header * | header () const

## Protected Member Functions

void | parseFields (const ByteVector &data) override
ByteVector | renderFields () const override
Protected Member Functions inherited from TagLib::ID3v2::Frame
| Frame (const ByteVector &data)
| Frame (Header *h)
void | setHeader (Header *h, bool deleteCurrent=true)
void | parse (const ByteVector &data)
ByteVector | fieldData (const ByteVector &frameData) const
String | readStringField (const ByteVector &data, String::Type encoding, int *position=nullptr)
String::Type | checkTextEncoding (const StringList &fields, String::Type encoding) const

## Friends

class | FrameFactory

## Additional Inherited Members

Static Public Member Functions inherited from TagLib::ID3v2::Frame
static ByteVector | textDelimiter (String::Type t)
static ByteVector | keyToFrameID (const String &)
static String | frameIDToKey (const ByteVector &)
Static Public Attributes inherited from TagLib::ID3v2::Frame
static const String | instrumentPrefix
static const String | commentPrefix
static const String | lyricsPrefix
static const String | urlPrefix
Static Protected Member Functions inherited from TagLib::ID3v2::Frame
static void | splitProperties (const PropertyMap &original, PropertyMap &singleFrameProperties, PropertyMap &tiplProperties, PropertyMap &tmclProperties)

## Detailed Description

ID3v2 podcast frame.

An implementation of ID3v2 podcast flag, a frame with four zero bytes.

## Constructor & Destructor Documentation

## PodcastFrame() [1/2]

TagLib::ID3v2::PodcastFrame::PodcastFrame | ( |  | ) |

Construct a podcast frame.

Referenced by operator=(), PodcastFrame(), and renderFields().

## ~PodcastFrame()

TagLib::ID3v2::PodcastFrame::~PodcastFrame | ( |  | ) |

override

Destroys this PodcastFrame instance.

## PodcastFrame() [2/2]

TagLib::ID3v2::PodcastFrame::PodcastFrame | ( | const PodcastFrame & |  | ) |

delete

References PodcastFrame().

## Member Function Documentation

## asProperties()

PropertyMap TagLib::ID3v2::PodcastFrame::asProperties | ( |  | ) | const

override virtual

Parses the contents of this frame as PropertyMap. If that fails, the returned PropertyMap will be empty, and its unsupportedData() will contain this frame's ID.

Reimplemented from TagLib::ID3v2::Frame.

## operator=()

PodcastFrame & TagLib::ID3v2::PodcastFrame::operator= | ( | const PodcastFrame & |  | ) |

delete

References PodcastFrame().

## parseFields()

void TagLib::ID3v2::PodcastFrame::parseFields | ( | const ByteVector & | data | ) |

override protected virtual

Called by parse() to parse the field data. It makes this information available through the public API. This must be overridden by the subclasses.

Implements TagLib::ID3v2::Frame.

## renderFields()

ByteVector TagLib::ID3v2::PodcastFrame::renderFields | ( |  | ) | const

override protected virtual

Render the field data back to a binary format in a ByteVector. This must be overridden by subclasses.

Implements TagLib::ID3v2::Frame.

References PodcastFrame(), and TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## toString()

String TagLib::ID3v2::PodcastFrame::toString | ( |  | ) | const

override virtual

Returns an empty string.

Implements TagLib::ID3v2::Frame.

## Friends And Related Symbol Documentation

## FrameFactory

friend class FrameFactory

friend

References FrameFactory.

Referenced by FrameFactory.

The documentation for this class was generated from the following file:

- podcastframe.h